CREATE TABLE 'music_cache' (
	"_id" INTEGER PRIMARY KEY AUTOINCREMENT,
    "store_name" TEXT NOT NULL DEFAULT "",
    "rec_type" NUMERIC NOT NULL DEFAULT "",
	"artist" TEXT NOT NULL DEFAULT "",
	"album" TEXT NOT NULL DEFAULT "",
    "album_id" TEXT NOT NULL DEFAULT "",
	"track" TEXT NOT NULL DEFAULT "",
	"track_id" TEXT NOT NULL DEFAULT "",
	"data" BLOB NOT NULL,
	"updated_at" NUMERIC DEFAULT 0,
	"last_used" NUMERIC DEFAULT 0
);
go;
CREATE INDEX 'idx_music_cache_1' ON 'music_cache' ("store_name");
go;
CREATE INDEX 'idx_music_cache_2' ON 'music_cache' ("rec_type");
go;
CREATE INDEX 'idx_music_cache_3' ON 'music_cache' ("artist");
go;
CREATE INDEX 'idx_music_cache_4' ON 'music_cache' ("album");
go;
CREATE INDEX 'idx_music_cache_5' ON 'music_cache' ("album_id");
go;
CREATE INDEX 'idx_music_cache_6' ON 'music_cache' ("track");
go;
CREATE INDEX 'idx_music_cache_7' ON 'music_cache' ("track_id");
go;
CREATE INDEX 'idx_music_cache_8' ON 'music_cache' ("updated_at");
